var camera, scene, renderer;

var mesh;

var mixer;
var clock = new THREE.Clock();
var action = {};


init();
animate();


function init() {

  renderer = new THREE.WebGLRenderer({antialias: true});
  renderer.setClearColor (0xffffff);
  renderer.setPixelRatio( window.devicePixelRatio );
  renderer.setSize( window.innerWidth, window.innerHeight );
  document.body.appendChild( renderer.domElement );

  camera = new THREE.PerspectiveCamera( 45, window.innerWidth / window.innerHeight, 1, 2000 );
  camera.position.z = 250;
  camera.position.y = 40;


  scene = new THREE.Scene();

  var ambient = new THREE.AmbientLight( 0xeeeeee );
  scene.add( ambient );


  // MODEL_URL is defined in html file
  var loader = new THREE.ObjectLoader();

        loader.load(

          MODEL_URL,

          function ( object ) {

            object.traverse( function( node ) {

              if( node.material ) {

                  node.material.skinning = true;

              }

            });


            console.log(object);


            mesh = object.children[0];

            mixer = new THREE.AnimationMixer( );
            var action = mixer.clipAction( mesh.geometry.animations[ 0 ], mesh );
            action.play();
            
        
            scene.add( object );
          }
        );
  


  window.addEventListener( 'resize', onWindowResize, false );

}

function onWindowResize() {

  camera.aspect = window.innerWidth / window.innerHeight;
  camera.updateProjectionMatrix();

  renderer.setSize( window.innerWidth, window.innerHeight );

}



function animate() {

  if (mesh) {
    mesh.rotation.y += 0.02;
  }

  if ( mixer ) { 

    mixer.update( clock.getDelta() ); 

  }

  renderer.render( scene, camera );

  requestAnimationFrame( animate );

}
